import React from 'react';
import { View } from '@tarojs/components';
import { useModel } from '@/store';
import { Loading } from '@antmjs/vantui';
import laySty from './layout.module.less';

export default (props) => {
  const { className, style } = props;

  const { person } = useModel('user');

  const classNames = `${laySty['page-wrapper']} ${className}`;

  return (
    <View className={classNames} style={style}>
      {
        !person && (
          <View className={laySty.loading}>
            <Loading size='32px' vertical>
              加载中...
            </Loading>
          </View>
        )
      }
      {props.children}
    </View>
  )
}
