import React from 'react';
import Taro from '@tarojs/taro';
import { login } from '@/services/wxma';

export default function useUser() {
  const [person, setPerson] = React.useState({});
  const [user, setUser] = React.useState({});

  const maLogin = (code) => {
    login(code).then(res => {
      setPerson(res.person);
      setUser(res.user);
      Taro.setStorage({ key: 'sessionKey', data: res.sessionKey })
    });
  }

  return {
    user,
    person,
    login: maLogin,
  }
}
